Subject: linux for Assabet

From: Nguyen Xuan Hoang <[email-masked]>
Date: Tue, 30 May 2000 10:24:11 +0800

Dear All,

   I am using Binutils-2.9.1.0.25.tar.gz and Egcs-1.1.2.tar.gz(apply patch egcs-1.1.2-arm-diff-990325.gz) to build the toolchain. 

    I could use :
	- Glibc-2.1.2 with "Add-ons" glibc-linuxthreads-2.1.1.tar.gz and glib-crypt-2.0.111.tar.gz  to compiler GLIBC
	- Linux-2.2.2.tart.gz (with patch-2.2.2-rm5.gz and diff-2.2.2-rm5-np3.gz) to compiler the kernel for SA1100 Assabet.

   How ever I could not compiler the kernel for SA1110 Assabet, following the the guide from www.cs.cmu.edu/~werable/software/assabet.html. I did download:

	- linux-2.299-pre8.tar.gz 
	- patch-2.3.99-pre8-rmk1.gz
	- diff-2.3.99-pre8-rmk1.np3.gz
     
     Below is the sequence I did:

           %mkdir  linux-2.3.99    
           %cd   linux-2.3.99
	% tar xvfz  /home/arm_gz/linux-2.3.99-pre8.tar.gz
	% cd linux
	% gzip -dc /home/arm_gz/patch-2.3.99-pre8-rmk1.gz | patch -p1
	%gzip -dc /home/arm_gz/diff-2.3.99-pre8-rmk1-np3.gz | patch -p1
	% make assabet-config
	% make config
	% make dep
	% make zImage

		There's error here:
		
		arm-linux-gcc -D__KERNEL__ -I/embedded/arm/linux-2.3.99/linux/include -Wall -Wstrict-prototypes -O2  -fno-strict-aliasing -pipe -g -mshort-load-bytes -		msoft-float -march=armv4 -mtune=strongarm110  -c -o init/main.o init/main.c

		{standard input}: Assembler message:
		{standard input}:3912: Error: Bad arguments to instruction
		make: ***[init/main.o] Error 1

Could anyone pls give me advice why it happen? What kernel I should use?  Thanks for any answer.

Best regards
Hoang

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++